• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

Bankgiro Lookup

Server

Bankgiro Lookup APIs provide enhanced data and pre-payment validation on top of our core APIs. These services enable you to build more reliable, user-friendly payment experiences by accessing and verifying additional information related to payment accounts.


Get Creditor Name

GET
https://api.openbankingplatform.com
/premium/v1/creditor-name

Returns the name of the recipient based on their account information.

Get Creditor Name › query Parameters

giroNumber
​string · required
giroType
​giroType · enum · required

Swedish giro type

Enum values:
BANKGIRO
PLUSGIRO
ocrRef
​giroOcrReference · minLength: 2 · maxLength: 25 · pattern: ^[0-9]+$

Must be provided if invoiceRef is not.

Swedish OCR reference.

Example: 45678901234567
invoiceRef
​giroInvoiceReference · minLength: 1 · maxLength: 25

Must be provided if ocrRef is not.

Custom invoice reference

Example: INV-20250073

Get Creditor Name › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

Get Creditor Name › Responses

OK

GetCreditorNameResponse
creditorName
​string | null
​array | null
GET/premium/v1/creditor-name
curl 'https://api.openbankingplatform.com/premium/v1/creditor-name?giroNumber=<string>&giroType=<string>' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'PSU-ID: 199002092386' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "creditorName": "Acme AB" }
json
application/json

Get Giro Numbers

GET
https://api.openbankingplatform.com
/premium/v1/giro-numbers

Returns Bankgiro numbers associated with a company.

Get Giro Numbers › query Parameters

psuCorporateId
​string · required
giroType
​giroType · enum

Swedish giro type

Enum values:
BANKGIRO
PLUSGIRO

Get Giro Numbers › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

Get Giro Numbers › Responses

OK

GetGiroNumbersResponse
​array | null
​array | null
GET/premium/v1/giro-numbers
curl 'https://api.openbankingplatform.com/premium/v1/giro-numbers?psuCorporateId=<string>' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'PSU-ID: 199002092386' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "giros": [ { "giroNumber": "1234-5678", "giroType": "BANKGIRO", "name": "Acme AB" } ] }
json
application/json

FX ConnectPayout Service